org.apache.avro.mojo

## Class InduceMojo

- java.lang.Object
- - org.apache.maven.plugin.AbstractMojo
  - - org.apache.avro.mojo.InduceMojo

- All Implemented Interfaces:
    org.apache.maven.plugin.ContextEnabled, org.apache.maven.plugin.Mojo

      public class InduceMojo
      extends org.apache.maven.plugin.AbstractMojo

  Generate Avro files (.avsc and .avpr) from Java classes or interfaces
  Is defined by the goal name:
    induce
  Mojo is thread safe:
    true
  Is bound to the specified phase of the standard build lifecycle:
    process-classes

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected org.apache.maven.project.MavenProject` | `project` The current Maven project.

    - ### Fields inherited from interface org.apache.maven.plugin.Mojo

      `ROLE`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `InduceMojo()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `execute()`

    - ### Methods inherited from class org.apache.maven.plugin.AbstractMojo

      `getLog, getPluginContext, setLog, setPluginContext`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### project

          protected org.apache.maven.project.MavenProject project

      The current Maven project.
      Is readonly.
      Is defined by:
        default-value:
          ${project}
      Is required.

  - ### Constructor Detail

    - #### InduceMojo

          public InduceMojo()

  - ### Method Detail

    - #### execute

          public void execute()
                       throws org.apache.maven.plugin.MojoExecutionException

      Throws:
        `org.apache.maven.plugin.MojoExecutionException`

Copyright © 2009–2024 The Apache Software Foundation. All rights reserved.